Сайт | Скачать | Видео | Wiki

Автор Тема: LFD10 x86_64  (Прочитано 6427 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн ШАМАНЯ

  • Старожил
  • ****
  • Сообщений: 217
  • Репутация: +7/-0
    • mimi linux
тест iso
« Ответ #45 : 30 Октябрь 2019, 18:44:35 »
basilisk более тормозной чем палемун, может из-за  gtk3
он не смог показать видео  720p 60fps - оно не двигается.
https://www.youtube.com/watch?v=LXb3EKWsInQ

palemoon первую минуту показывает, потом начинает дергаться и останавливаться, но с протормозкой  и паузами всё-таки показывает
все плэйеры работают с ютубом и с видеофайлами.

qpdfview  и photoflare требуют либы при загрузке с DE из base, может надо все 4 lxqt подключить, один lxqt-gtk2 или lxqt-gtk3  не помогает.

doublecommander лучше заменить на старый 0.8.4 из репы , он всегда закрывается при вызове настроек или нажатии на панели инструментов  и выборе "редактировать". и один раз исчезла lxpanel при запуске  doublecmd  и 2 раза при подключении 083-palemoon из проводника. при подключении 083 из mc   по   F2 l - панель остаётся. Ещё по F9 doublecmd запускает  xterm с мелким шрифтом вместо  LXTerminal и не заходит в iso как в папку, надо настроить.подключается iso в окне проводника.
ваш FBReader 0.99 работает, хорошо бы его добавить в исо.
после скачивания файла в палемуне если нажать - открыть папку с файлами - то  spacefm  красный - запущен от рута. palemoon  запущен от live
распаковка составного pfs работает.
не запускается из меню  apt2sfs , а в терминале говорит fake gksu нельзя  sudo.
если загрузить netsurf-gtk2 через  sfs-get то из меню он не запускается, из терминала только. кнопками ctrl +  и -  не меняется масштаб страницы и везде так,можно ли это исправить.
SMtube работает и показывает ютуб во всех плейерах, и смотреть сайты можно в его окне. Только масштаб не увеличивается кнопками  ctrl +, только из меню. уменшается и кнопками и в меню.
CoolReader норм. запоминает настройки и позицию после перезапуска.
Не установлены драйвера для ускорения  vdpau, можно установить
 sudo apt update
 sudo apt install mesa-vdpau-drivers
и перезагрузить  Xorg
после этого ускорение работает.
Если можно, сделайте модуль mesa-vdpau-drivers.
Загружается с ядрами  5.1.4 и 4.15 из пра64 19.04
Теперь надо подружить его с базой и 070 из пра 19.04 , как мы тут обсуждали:
http://forum.puppyrus.org/index.php?topic=21924.msg159925#msg159925
Вот есть маленький браузер  xombrero  - можно его вместо  netsurf - только либ не хватает для запуска. В убунту он даже ютуб показывает! Всего 500Кб он весит.
https://packages.debian.org/jessie/xombrero

Можно ещё попробовать запускать разные программы в формате  AppImage
Вот свежий  QMPlay2 19.09.03 - работает!
https://github.com/zaps166/QMPlay2/releases/tag/19.09.03

« Последнее редактирование: 01 Ноябрь 2019, 10:19:05 от sfs »

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 28882
  • Репутация: +195/-0
    • PuppyRus-A
Re: LFD10 x86_64
« Ответ #46 : 31 Октябрь 2019, 11:58:38 »
qpdfview  и photoflare требуют либы
030-qt5-5.11.3-d10-sf03.pfs
photoflare-qt5-1.5.1-180101-sf02.pfs

doublecommander лучше заменить на старый 0.8.4
Я не юзаю. Всех это устроит?

FBReader 0.99 работает, хорошо бы его добавить в исо
CoolReader норм. запоминает настройки и позицию после перезапуска.
так какой из двух добавить?

040-de-ols-gtk2_64-sf18.pfs - переименовал (_64). Надо обновить руками в ghf6408 и lfd
spacefm-gtk2-p-1.0.6_64-sf02.pfs
spacefm-gtk3-p-1.0.6-1_64-sf04.pfs

не запускается из меню  apt2sfs
apt install unionfs-fuse
А не убрать ли этот скрипт... repo2pfs достаточно

netsurf-gtk2  из меню он не запускается,
netsurf-gtk2-p-3.10dev_64-sf02.pfs
кнопками ctrl +  и -  не меняется масштаб страницы и везде так,можно ли это исправить.
SMtube работает и показывает ютуб во всех плейерах, и смотреть сайты можно в его окне. Только масштаб не увеличивается кнопками  ctrl +
У меня тоже. Думаю - это к разрабам netsurf и SMtube
У нас, вроде таких хоткеев нигде нет

Не установлены драйвера для ускорения  vdpau
Попробуйте скопировать либы из /usr/lib/vdpau в /usr/lib
Раз в арче этого достаточно - дебиан, верлоятно их не видит

Теперь надо подружить его с базой и 070 из пра 19.04
Его - это кого? Что не так с пра6408 19.04 ? В lfd и так почти все из него
Я удивлен что так все совместимо. Даже без портирования конфликтов диб не вылезало

Можно ещё попробовать запускать разные программы в формате  AppImage
http://forum.puppyrus.org/index.php?topic=20026.msg162456#msg162456

есть маленький браузер  xombrero  - можно его вместо  netsurf - только либ не хватает для запуска. В убунту он даже ютуб показывает! Всего 500Кб он весит.
Он не маленький . Там в зависимостях webkit. Лучший браузер на webkit - midori
Но обломавшись на нескольких сайтах перейдете на палемун

Спасибо + Прямо , растете как тестер. Так держать!
« Последнее редактирование: 01 Ноябрь 2019, 10:18:23 от sfs »

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 28882
  • Репутация: +195/-0
    • PuppyRus-A
Re: LFD10 x86_64
« Ответ #47 : 31 Октябрь 2019, 18:01:40 »
001-d10-sf17.pfs
отделил apt
добавил glibc230 ,т.е. libc6_2.30-0ubuntu2_amd64.pfs больше не нужен
Итог : 63mb. Все что хотел  сделать с базой - сделал

070-d10-sf10.pfs

apt-d10-sf01.pfs - нужен только для работы с пакетами
pkg-d10-sf02.pfs - результат выполнения apt update && apt-file update

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 2937
  • Репутация: +93/-1
Re: LFD10 x86_64
« Ответ #48 : 31 Октябрь 2019, 18:30:43 »
Ping не работает, похожее было в pra09. Наверно опять прав не хватает.
Смотрел в первом DE.


Проверял в iso все грузилось. Распаковал в папку на втором разделе и некоторые перестали работать.
Где-то есть эта строка, где-то ее нет. Раньше бы молча дописал раздел, но сейчас, с таким количеством DE, пусть все работает из коробки.
Цитата
find --set-root --ignore-floppies /%d%/vmlinuz-%k%_64

В Magos такая конструкция и мне она видится предпочтительней. Если папки на том же разделе, то и find не будет искать по всем разделам. Такой вот маленький шажок в сторону уменьшения энергозатрат. Капелька здесь, капелька там.  :)
Цитата
if not exist /MagOS/MagOS.sgn find --set-root --ignore-floppies --ignore-cd /MagOS/MagOS.sgn


Mate, не запускается caja
libgailutil-3.so.0
« Последнее редактирование: 31 Октябрь 2019, 22:08:40 от krasnyh »

Оффлайн ШАМАНЯ

  • Старожил
  • ****
  • Сообщений: 217
  • Репутация: +7/-0
    • mimi linux
Re: LFD10 x86_64
« Ответ #49 : 31 Октябрь 2019, 20:38:30 »
FBReader  меньше 2-х Мб при размере исо 550 можно добавить его и оставить  CoolReader. Ведь 2 браузера есть,
но думаю лучше  basilisk  убрать
цитата
"
CoolReader он не лучше и не хуже, чем FBReader, они дополняют друг друга. Те форматы, которые плохо читаются в одном,  я читаю в другом и наоборот.  CoolReader хорошо показывает  CHM, но без оглавления, бывает  mobi строки обрезает.  FBReader CHM почти не умеет, только начало, но html тоже можно смотреть в них обоих и  epub.
"
Upd:
предлагаю в финальном исо не добавлять много разных DE,сейчас понятно ,они для теста, а потом каждый пользователь сам скачает дополнительную DE. Вместо них полный  firmware и обязательно драйвера для  wi-fi от броадком.
Можно  стартовую страницу сделать вторую, кроме форума, с набором ссылок для скачивания дополнительных браузеров,  DE, офисов .
И ещё бы в исо разместить копию  wiki в отдельной папке  help, чтобы можно было всё прочитать , если не завёлся инет через  wifi , например, или про редактирование пунктов загрузчика. Если нет инета, как  wiki с форума прочесть?
перезагружатся в другую ос - прочесть и потом обратно - неудобно, а с телефона команды в терминал не скопируешь :)
« Последнее редактирование: 01 Ноябрь 2019, 10:07:13 от sfs »

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 2937
  • Репутация: +93/-1
Re: LFD10 x86_64
« Ответ #50 : 31 Октябрь 2019, 21:14:44 »
думаю лучше  basilisk  убрать
Если он держится легкости и нетребовательности к ресурсам как и palemoon, то в сборке ему самое место.

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 28882
  • Репутация: +195/-0
    • PuppyRus-A
Re: LFD10 x86_64
« Ответ #51 : 01 Ноябрь 2019, 10:05:57 »
Ping не работает
Да. suid bit надо. поставлю

на втором разделе и некоторые перестали работать.
Т.е. везде добавить find. И grub2 без подобного не работает? Рядом обсуждали...
if not exist
Тормоза не замечаны. Лишнее усложнение. Кого напрягает - лучше сразу root задать без поиска

Mate, не запускается caja libgailutil-3.so.0
030-gtk3-3.24.5-d10-sf06.pfs

CoolReader он не лучше и не хуже, чем FBReader, они дополняют друг друга. Те форматы, которые плохо читаются в одном,  я читаю в другом и наоборот.  CoolReader хорошо показывает  CHM, но без оглавления, бывает  mobi строки обрезает.  FBReader CHM почти не умеет, только начало, но html тоже можно смотреть в них обоих и  epub.
По этому описанию получается cool лучше. Вроде, на форуме подобное обсуждалось и он меньше

Ведь 2 браузера есть,
Планирую добавить еще и netsurf gtk2 для совсем слабых
Но это 3 совсем разных браузера для разных случаев
    basilisk  убрать Если он держится легкости и нетребовательности к ресурсам как и palemoon, то в сборке ему самое место.
По логике - если хочется легкости то лучше уж gtk2+palemoon
Убрал хром - т.к. он больше и тянет nss от которого я избавился в прочих модулях
Обсуждаемо...

предлагаю в финальном исо не добавлять много разных DE,сейчас понятно ,они для теста, а потом каждый пользователь сам скачает дополнительную DE
Скачал новичок впервые исо. Вики и форум не читал. так и не узнает что тут куча ДЕ на любой вкус
Проще из большого набора сделать маленький
Вместо них полный  firmware
Он 134 мб весит. Большему количеству юзеров хватит среднего
обязательно драйвера для  wi-fi от броадком.
Помнится - там куча моделей и все непросто. возможно другим вариантам будет мешать. лучше обсудить в теме про бродком (заодно ее перечитав)

в исо разместить копию  wiki
Вряд ли у кого-то этот дистр единственный на компе. Прочитают с другой системы в инете. Да и вообще - читают что-то единицы и только когда припрет

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 28882
  • Репутация: +195/-0
    • PuppyRus-A
Re: LFD10 x86_64
« Ответ #52 : 01 Ноябрь 2019, 10:28:31 »
    Не установлены драйвера для ускорения  vdpau
Попробуйте скопировать либы из /usr/lib/vdpau в /usr/lib
Вот это никто не проверил?

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 28882
  • Репутация: +195/-0
    • PuppyRus-A
Re: LFD10 x86_64
« Ответ #53 : 01 Ноябрь 2019, 10:59:01 »

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 28882
  • Репутация: +195/-0
    • PuppyRus-A
Re: LFD10 x86_64
« Ответ #54 : 01 Ноябрь 2019, 12:44:50 »
030-qt5-5.11.3-d10-sf04.pfs
apt-d10-sf03.pfs
pkg-d10-sf04.pfs
В деб. репе обновился qt5 - пофиксили crash

Получается держать в 001 списки пакетов из модулей Тк и пр. - хорошая идея. Видно что обновилось

Оффлайн ШАМАНЯ

  • Старожил
  • ****
  • Сообщений: 217
  • Репутация: +7/-0
    • mimi linux
Re: LFD10 x86_64
« Ответ #55 : 01 Ноябрь 2019, 21:29:00 »
новый photoflare запускается
а  qpdf  нет, требует libQT5Sql
    Не установлены драйвера для ускорения  vdpau
Попробуйте скопировать либы из /usr/lib/vdpau в /usr/lib
Вот это никто не проверил?
в первом модуле 001 300 Мб такой папки с  vdpau  не было и mesa отдельным модулем тоже ещё не было, поэтому нечего копировать.
а потом с  модулем mesa  уже ускорение в  mpv включается

Cool Reader  в некоторых mobi обрезает длинные строки, которые не помещаются на экране в одну строку, для таких  mobi нужен  FBReader,
 а чтобы он был меньше  - надо сделать другой модуль из базы  debian - будет меньше  9 Мб,  версия 0.12 не требует  qt4, а  версия 0.99+qt4 - это 19 Мб

Broadcom в папке  optional мешать точно не будет
если не всю  wiki, то хотя бы страницу по настройке  wifi и инета через провод и модем
про   разные DE, браузеры и  firmware новичок узнает, когда запустит netsurf и увидет стартовую страницу с текстом :
в этом дистрибутиве используются  браузеры  netsurf palemoon, неполный набор  firmware и рабочие столы  MATE, XFCE, LXDE
вы можете  загрузить другие рабочие столы отсюда:
и ссылки на скачивание jwm, lxqt,ICEWM
браузеры firefox opera chromium basilisk отсюда и ссылки
офисные пакеты openoffice libreoffice wps здесь

если не работает wifi фирмы  broadcom, то вот он в папке optional
полный набор драйверов можно скачать здесь
и ссылки
дополнительные модули программ вы можете скачать в следующей вкладке
программы в формате  APPImages  можно скачать здесь и ссылка
для их запуска нужно в свойствах файла разрешить выполнение файла, как программы.
в исо их не надо добавлять

во второй  вкладке страница репозитория
а во третьей вкладке - последние сообщения форума
примерно такое содержание страницы.

Если загружать ос с  XFCE и без подключения питон и  youtube-dl, то из палемуна нельзя посмотреть видео с ютуба пунктом "открыть в  mpv" - один раз всё зависло , помогло  CTRL+ALT+F2 и три кнопки для перезагрузки. Без питона и  yt-dl можно в mpv смотреть из  smtube или в  smplayer
В одном из меню  efi в заголовке сейчас 5.1.4-popteus вместо porteus
Может лучше убрать в  каждой строке  LFD10 OLS ?
пусть будет в строке разделителе, а под ним - варианты загрузок
или лучше сделать несколько страниц, на одной - варианты с  OLS, на другой с  XFCE , потом  icewm и jwm, и на последней  lxqt mate
« Последнее редактирование: 01 Ноябрь 2019, 22:11:00 от ШАМАНЯ »

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 2937
  • Репутация: +93/-1
Re: LFD10 x86_64
« Ответ #56 : 01 Ноябрь 2019, 22:12:44 »
без подключения питон и  youtube-dl, то из палемуна нельзя посмотреть видео... Без питона и  yt-dl можно в mpv смотреть из  smtube или в  smplayer
Mpv проигрывает ютуб только при наличии youtube-dl+python. У smtube/smplayer свой код для этих целей, но они не всегда поспевают за изменениями ютуба.

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 28882
  • Репутация: +195/-0
    • PuppyRus-A
Re: LFD10 x86_64
« Ответ #57 : 02 Ноябрь 2019, 08:01:12 »
qpdf  нет, требует libQT5Sql
Добавлю в 030-qt5. qpdf еще и nss надо (не прописано в зависимостях - поправлю)

        Не установлены драйвера для ускорения  vdpau
        Попробуйте скопировать либы из /usr/lib/vdpau в /usr/lib
в первом модуле 001 300 Мб такой папки с  vdpau  не было
/usr/lib/vdpau находится в модуле ffmpeg-light. Проверять надо без mesa

чтобы он был меньше  - надо сделать другой модуль из базы  debian - будет меньше  9 Мб,  версия 0.12 не требует  qt4
требует

Broadcom в папке  optional мешать точно не будет
Не будет, но догадаться как его применить не все осилят

если не всю  wiki, то хотя бы страницу
Все ссылки скоро обновятся. Вики не всегда успеваю править. Еще усложнять себе не буду
Моно DE в исо - если только отдельным исо для опытных и т.п.
Думаю, опытные вообще без исо - одним фтп обойдутся
Исо - для новичков. Продемонстрировать максимую возможностей

без подключения питон и  youtube-dl, то из палемуна нельзя посмотреть видео с ютуба пунктом "открыть в  mpv"
Без питон и  youtube-dl не должно работать
Хорошо бы как-то про это сообщить юзеру....
Может вывести сообщение при попытке открытия в mpv http://...

Насколько мне известно :
Из smtube можно смотреть ютюб без питон и  youtube-dl в чем угодно. Там почти браузер встроен
smplayer только оболочка к mpv - ничего кроме удобства не дает. питон и  youtube-dl нужны

Может лучше убрать в  каждой строке  LFD10 OLS
OLS только там где OLS. LFD10 чем мешает? Разве не удобно скопировать строку в свое меню , где разные дистры

лучше сделать несколько страниц,
Не думаю. Там и так сложно . Там упрощать надо (не знаю как)

ШАМАНЯ - спасибо за тесты +

Оффлайн Neyel

  • Ветеран
  • *****
  • Сообщений: 879
  • Репутация: +22/-0
Re: LFD10 x86_64
« Ответ #58 : 02 Ноябрь 2019, 12:43:03 »
Дрова нвидиа под эту сборку есть? Или нужно как-то собирать их  :police:

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 2937
  • Репутация: +93/-1
Re: LFD10 x86_64
« Ответ #59 : 02 Ноябрь 2019, 12:48:54 »
В iso в optional/kernel.